> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /hemnet/brokers/search

> Search Hemnet real estate brokers (mäklare) and broker agencies (mäklarkontor) — by area (location ids) with the number of sales in the area and configurable sorting, or by broker name. Returns broker/agency cards with name, total sales, sales in the searched area, primary agency, logo and profile url.

**Price:** 1 credit per 50 results



## OpenAPI

````yaml /openapi/real-estate.json post /api/hemnet/brokers/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/hemnet/brokers/search:
    post:
      tags:
        - /hemnet
      summary: /hemnet/brokers/search
      description: >-
        Search Hemnet real estate brokers (mäklare) and broker agencies
        (mäklarkontor) — by area (location ids) with the number of sales in the
        area and configurable sorting, or by broker name. Returns broker/agency
        cards with name, total sales, sales in the searched area, primary
        agency, logo and profile url.


        **Price:** 1 credit per 50 results
      operationId: __api_hemnet_brokers_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HemnetBrokersSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/HemnetBrokerResult'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HemnetBrokersSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        location_ids:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
        name:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        type:
          $ref: '#/components/schemas/HemnetBrokerType'
          default: broker
        radius:
          anyOf:
            - $ref: '#/components/schemas/HemnetExpandLocations'
            - type: 'null'
        sort:
          $ref: '#/components/schemas/HemnetBrokerSort'
          default: last_sale
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    HemnetBrokerResult:
      properties:
        '@type':
          type: string
          default: HemnetBrokerResult
        id:
          type: string
        type:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        sale_count:
          anyOf:
            - type: integer
            - type: 'null'
        sale_count_in_area:
          anyOf:
            - type: integer
            - type: 'null'
        profile_url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        agency:
          anyOf:
            - $ref: '#/components/schemas/HemnetBrokerAgencyRef'
            - type: 'null'
      type: object
      required:
        - id
        - type
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    HemnetBrokerType:
      type: string
      enum:
        - broker
        - agency
    HemnetExpandLocations:
      type: string
      enum:
        - '1'
        - '2'
        - '5'
        - '10'
        - '15'
        - '30'
        - '50'
        - '100'
    HemnetBrokerSort:
      type: string
      enum:
        - last_sale
        - sales_in_area
        - total_sales
        - name_asc
        - name_desc
    HemnetBrokerAgencyRef:
      properties:
        '@type':
          type: string
          default: HemnetBrokerAgencyRef
        id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        sale_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````